# Unlink

Controls whether the socket is unlinked on open and close.

This parameter applies to imuxsock: Unix Socket Input Module.

Name:

  Unlink

Scope:

  input

Type:

  boolean

Default:

  input=on

Required?:

  no

Introduced:

  7.3.9

## Description

If turned on (default), the socket is unlinked and re-created when opened and also unlinked when finally closed. Set it to off if you handle socket creation yourself.

Note

Note that handling socket creation oneself has the advantage that a limited amount of messages may be queued by the OS if rsyslog is not running.

Added in version 7.3.9.

## Input usage

    input(type="imuxsock" unlink="off")

## See also

See also imuxsock: Unix Socket Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.